CREATE TABLE ANULACAO (
ID_ANULACAO INTEGER NOT NULL PRIMARY KEY,
ID_CLIENTE VARCHAR(18) DEFAULT 0,
ID_FUNCIONARIO VARCHAR(14) DEFAULT 0,
ID_USUARIO INTEGER DEFAULT 0,
ID_COMPRA INTEGER DEFAULT 0,
ID_P_S INTEGER DEFAULT 0,
ID_WALK_IN INTEGER DEFAULT 0,
ID_RESERVA INTEGER DEFAULT 0,
ID_RECEBER INTEGER DEFAULT 0,
ID_PAGAR INTEGER DEFAULT 0,
COD_GERAL_CHEQUE INTEGER DEFAULT 0,
COD_GERAL_P_P INTEGER DEFAULT 0,
ID_CAIXA INTEGER DEFAULT 0,
COD_GERAL_F_P INTEGER DEFAULT 0,
ID_FORNECEDOR VARCHAR(18) DEFAULT 0,
ID_CARAC_UH INTEGER DEFAULT 0,
ID_TIPO_UH INTEGER DEFAULT 0,
ID_UH INTEGER DEFAULT 0,
ID_PDV INTEGER DEFAULT 0,
ID_ITEM INTEGER DEFAULT 0,
ID_ITEM_HISTORICO INTEGER DEFAULT 0
);

CREATE GENERATOR GEN_ID_ANULACAO;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_ANULACAO FOR ANULACAO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_ANULACAO = gen_id(GEN_ID_ANULACAO,1);
END
^

COMMIT WORK^
SET TERM;^

